package com.pqs9000.pojo.responsibility;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2024/3/19 21:43
 */
public class TargetDetailDto {

    //监测点id
    private Integer monitorId;

    //电压偏差最大幅值
    private Double maxVoltageDeviationData;

    //电压偏差最小幅值
    private Double minVoltageDeviationData;

    //电压上偏差限值
    private Double limitUpVoltageDeviationData;

    //电压下偏差限值
    private Double limitLowVoltageDeviationData;

    //电压偏差差值
    private Double diffVoltageDeviationData;

    //电压总谐波畸变率最大幅值
    private Double maxVoltageDistortionData;

    //电压总谐波畸变率限值
    private Double limitVoltageDistortionData;

    //电压总谐波畸变率差值
    private Double diffVoltageDistortionData;

    //三相电压不平衡度最大值
    private Double maxThreeVoltageUnbalanceData;

    //三相电压不平衡度限值
    private Double limitThreeVoltageUnbalanceData;

    //三相电压不平衡度差值
    private Double diffThreeVoltageUnbalanceData;

    //频率偏差最大幅值
    private Double maxFrequencyDeviationData;

    //频率偏差限值
    private Double limitFrequencyDeviationData;

    //频率偏差差值
    private Double diffFrequencyDeviationData;

    //负序电流最大幅值
    private Double maxNegativeDay;

    //负序电流限值
    private Double limitNegativeData;

    //负序电流差值
    private Double diffNegativeData;

    //长时闪变最大幅值
    private Double maxFlickerData;

    //长时闪变限值
    private Double limitFlickerData;

    //长时闪变差值
    private Double diffFlickerData;

    /**
     * 以下字段是针对含有多次指标的数据，因为没法单一从数值的大小来判断越限严重度，故采用幅值与限值的比值作为判断依据
     */
    //占比数据1
    private Double ratio1;
    private Double ratio2;
    private Double ratio3;
    private Double ratio4;
    private Double ratio5;
    private Double ratio6;
    private Double ratio7;
    private Double ratio8;
    private Double ratio9;
    private Double ratio10;
    private Double ratio11;
    private Double ratio12;
    private Double ratio13;
    private Double ratio14;
    private Double ratio15;
    private Double ratio16;
    private Double ratio17;
    private Double ratio18;
    private Double ratio19;
    private Double ratio20;
    private Double ratio21;
    private Double ratio22;
    private Double ratio23;
    private Double ratio24;
    private Double ratio25;

    private Double data1;
    private Double data2;

    public Integer getMonitorId() {
        return monitorId;
    }

    public void setMonitorId(Integer monitorId) {
        this.monitorId = monitorId;
    }

    public Double getMaxVoltageDeviationData() {
        return maxVoltageDeviationData;
    }

    public void setMaxVoltageDeviationData(Double maxVoltageDeviationData) {
        this.maxVoltageDeviationData = maxVoltageDeviationData;
    }

    public Double getMinVoltageDeviationData() {
        return minVoltageDeviationData;
    }

    public void setMinVoltageDeviationData(Double minVoltageDeviationData) {
        this.minVoltageDeviationData = minVoltageDeviationData;
    }

    public Double getLimitUpVoltageDeviationData() {
        return limitUpVoltageDeviationData;
    }

    public void setLimitUpVoltageDeviationData(Double limitUpVoltageDeviationData) {
        this.limitUpVoltageDeviationData = limitUpVoltageDeviationData;
    }

    public Double getLimitLowVoltageDeviationData() {
        return limitLowVoltageDeviationData;
    }

    public void setLimitLowVoltageDeviationData(Double limitLowVoltageDeviationData) {
        this.limitLowVoltageDeviationData = limitLowVoltageDeviationData;
    }

    public Double getDiffVoltageDeviationData() {
        return diffVoltageDeviationData;
    }

    public void setDiffVoltageDeviationData(Double diffVoltageDeviationData) {
        this.diffVoltageDeviationData = diffVoltageDeviationData;
    }

    public Double getMaxVoltageDistortionData() {
        return maxVoltageDistortionData;
    }

    public void setMaxVoltageDistortionData(Double maxVoltageDistortionData) {
        this.maxVoltageDistortionData = maxVoltageDistortionData;
    }

    public Double getLimitVoltageDistortionData() {
        return limitVoltageDistortionData;
    }

    public void setLimitVoltageDistortionData(Double limitVoltageDistortionData) {
        this.limitVoltageDistortionData = limitVoltageDistortionData;
    }

    public Double getDiffVoltageDistortionData() {
        return diffVoltageDistortionData;
    }

    public void setDiffVoltageDistortionData(Double diffVoltageDistortionData) {
        this.diffVoltageDistortionData = diffVoltageDistortionData;
    }

    public Double getMaxThreeVoltageUnbalanceData() {
        return maxThreeVoltageUnbalanceData;
    }

    public void setMaxThreeVoltageUnbalanceData(Double maxThreeVoltageUnbalanceData) {
        this.maxThreeVoltageUnbalanceData = maxThreeVoltageUnbalanceData;
    }

    public Double getLimitThreeVoltageUnbalanceData() {
        return limitThreeVoltageUnbalanceData;
    }

    public void setLimitThreeVoltageUnbalanceData(Double limitThreeVoltageUnbalanceData) {
        this.limitThreeVoltageUnbalanceData = limitThreeVoltageUnbalanceData;
    }

    public Double getDiffThreeVoltageUnbalanceData() {
        return diffThreeVoltageUnbalanceData;
    }

    public void setDiffThreeVoltageUnbalanceData(Double diffThreeVoltageUnbalanceData) {
        this.diffThreeVoltageUnbalanceData = diffThreeVoltageUnbalanceData;
    }

    public Double getMaxFrequencyDeviationData() {
        return maxFrequencyDeviationData;
    }

    public void setMaxFrequencyDeviationData(Double maxFrequencyDeviationData) {
        this.maxFrequencyDeviationData = maxFrequencyDeviationData;
    }

    public Double getLimitFrequencyDeviationData() {
        return limitFrequencyDeviationData;
    }

    public void setLimitFrequencyDeviationData(Double limitFrequencyDeviationData) {
        this.limitFrequencyDeviationData = limitFrequencyDeviationData;
    }

    public Double getDiffFrequencyDeviationData() {
        return diffFrequencyDeviationData;
    }

    public void setDiffFrequencyDeviationData(Double diffFrequencyDeviationData) {
        this.diffFrequencyDeviationData = diffFrequencyDeviationData;
    }

    public Double getMaxNegativeDay() {
        return maxNegativeDay;
    }

    public void setMaxNegativeDay(Double maxNegativeDay) {
        this.maxNegativeDay = maxNegativeDay;
    }

    public Double getLimitNegativeData() {
        return limitNegativeData;
    }

    public void setLimitNegativeData(Double limitNegativeData) {
        this.limitNegativeData = limitNegativeData;
    }

    public Double getDiffNegativeData() {
        return diffNegativeData;
    }

    public void setDiffNegativeData(Double diffNegativeData) {
        this.diffNegativeData = diffNegativeData;
    }

    public Double getMaxFlickerData() {
        return maxFlickerData;
    }

    public void setMaxFlickerData(Double maxFlickerData) {
        this.maxFlickerData = maxFlickerData;
    }

    public Double getLimitFlickerData() {
        return limitFlickerData;
    }

    public void setLimitFlickerData(Double limitFlickerData) {
        this.limitFlickerData = limitFlickerData;
    }

    public Double getDiffFlickerData() {
        return diffFlickerData;
    }

    public void setDiffFlickerData(Double diffFlickerData) {
        this.diffFlickerData = diffFlickerData;
    }

    public Double getRatio1() {
        return ratio1;
    }

    public void setRatio1(Double ratio1) {
        this.ratio1 = ratio1;
    }

    public Double getRatio2() {
        return ratio2;
    }

    public void setRatio2(Double ratio2) {
        this.ratio2 = ratio2;
    }

    public Double getRatio3() {
        return ratio3;
    }

    public void setRatio3(Double ratio3) {
        this.ratio3 = ratio3;
    }

    public Double getRatio4() {
        return ratio4;
    }

    public void setRatio4(Double ratio4) {
        this.ratio4 = ratio4;
    }

    public Double getRatio5() {
        return ratio5;
    }

    public void setRatio5(Double ratio5) {
        this.ratio5 = ratio5;
    }

    public Double getRatio6() {
        return ratio6;
    }

    public void setRatio6(Double ratio6) {
        this.ratio6 = ratio6;
    }

    public Double getRatio7() {
        return ratio7;
    }

    public void setRatio7(Double ratio7) {
        this.ratio7 = ratio7;
    }

    public Double getRatio8() {
        return ratio8;
    }

    public void setRatio8(Double ratio8) {
        this.ratio8 = ratio8;
    }

    public Double getRatio9() {
        return ratio9;
    }

    public void setRatio9(Double ratio9) {
        this.ratio9 = ratio9;
    }

    public Double getRatio10() {
        return ratio10;
    }

    public void setRatio10(Double ratio10) {
        this.ratio10 = ratio10;
    }

    public Double getRatio11() {
        return ratio11;
    }

    public void setRatio11(Double ratio11) {
        this.ratio11 = ratio11;
    }

    public Double getRatio12() {
        return ratio12;
    }

    public void setRatio12(Double ratio12) {
        this.ratio12 = ratio12;
    }

    public Double getRatio13() {
        return ratio13;
    }

    public void setRatio13(Double ratio13) {
        this.ratio13 = ratio13;
    }

    public Double getRatio14() {
        return ratio14;
    }

    public void setRatio14(Double ratio14) {
        this.ratio14 = ratio14;
    }

    public Double getRatio15() {
        return ratio15;
    }

    public void setRatio15(Double ratio15) {
        this.ratio15 = ratio15;
    }

    public Double getRatio16() {
        return ratio16;
    }

    public void setRatio16(Double ratio16) {
        this.ratio16 = ratio16;
    }

    public Double getRatio17() {
        return ratio17;
    }

    public void setRatio17(Double ratio17) {
        this.ratio17 = ratio17;
    }

    public Double getRatio18() {
        return ratio18;
    }

    public void setRatio18(Double ratio18) {
        this.ratio18 = ratio18;
    }

    public Double getRatio19() {
        return ratio19;
    }

    public void setRatio19(Double ratio19) {
        this.ratio19 = ratio19;
    }

    public Double getRatio20() {
        return ratio20;
    }

    public void setRatio20(Double ratio20) {
        this.ratio20 = ratio20;
    }

    public Double getRatio21() {
        return ratio21;
    }

    public void setRatio21(Double ratio21) {
        this.ratio21 = ratio21;
    }

    public Double getRatio22() {
        return ratio22;
    }

    public void setRatio22(Double ratio22) {
        this.ratio22 = ratio22;
    }

    public Double getRatio23() {
        return ratio23;
    }

    public void setRatio23(Double ratio23) {
        this.ratio23 = ratio23;
    }

    public Double getRatio24() {
        return ratio24;
    }

    public void setRatio24(Double ratio24) {
        this.ratio24 = ratio24;
    }

    public Double getRatio25() {
        return ratio25;
    }

    public void setRatio25(Double ratio25) {
        this.ratio25 = ratio25;
    }

    public Double getData1() {
        return data1;
    }

    public void setData1(Double data1) {
        this.data1 = data1;
    }

    public Double getData2() {
        return data2;
    }

    public void setData2(Double data2) {
        this.data2 = data2;
    }

    @Override
    public String toString() {
        return "TargetDetailDto{" +
                "monitorId=" + monitorId +
                ", maxVoltageDeviationData=" + maxVoltageDeviationData +
                ", minVoltageDeviationData=" + minVoltageDeviationData +
                ", limitUpVoltageDeviationData=" + limitUpVoltageDeviationData +
                ", limitLowVoltageDeviationData=" + limitLowVoltageDeviationData +
                ", diffVoltageDeviationData=" + diffVoltageDeviationData +
                ", maxVoltageDistortionData=" + maxVoltageDistortionData +
                ", limitVoltageDistortionData=" + limitVoltageDistortionData +
                ", diffVoltageDistortionData=" + diffVoltageDistortionData +
                ", maxThreeVoltageUnbalanceData=" + maxThreeVoltageUnbalanceData +
                ", limitThreeVoltageUnbalanceData=" + limitThreeVoltageUnbalanceData +
                ", diffThreeVoltageUnbalanceData=" + diffThreeVoltageUnbalanceData +
                ", maxFrequencyDeviationData=" + maxFrequencyDeviationData +
                ", limitFrequencyDeviationData=" + limitFrequencyDeviationData +
                ", diffFrequencyDeviationData=" + diffFrequencyDeviationData +
                ", maxNegativeDay=" + maxNegativeDay +
                ", limitNegativeData=" + limitNegativeData +
                ", diffNegativeData=" + diffNegativeData +
                ", maxFlickerData=" + maxFlickerData +
                ", limitFlickerData=" + limitFlickerData +
                ", diffFlickerData=" + diffFlickerData +
                ", ratio1=" + ratio1 +
                ", ratio2=" + ratio2 +
                ", ratio3=" + ratio3 +
                ", ratio4=" + ratio4 +
                ", ratio5=" + ratio5 +
                ", ratio6=" + ratio6 +
                ", ratio7=" + ratio7 +
                ", ratio8=" + ratio8 +
                ", ratio9=" + ratio9 +
                ", ratio10=" + ratio10 +
                ", ratio11=" + ratio11 +
                ", ratio12=" + ratio12 +
                ", ratio13=" + ratio13 +
                ", ratio14=" + ratio14 +
                ", ratio15=" + ratio15 +
                ", ratio16=" + ratio16 +
                ", ratio17=" + ratio17 +
                ", ratio18=" + ratio18 +
                ", ratio19=" + ratio19 +
                ", ratio20=" + ratio20 +
                ", ratio21=" + ratio21 +
                ", ratio22=" + ratio22 +
                ", ratio23=" + ratio23 +
                ", ratio24=" + ratio24 +
                ", ratio25=" + ratio25 +
                ", data1=" + data1 +
                ", data2=" + data2 +
                '}';
    }
}
